<nz-modal [nzTitle]="data.id?'编辑人员':'新建人员'" [nzVisible]="isVisible" (nzOnCancel)="close()"
    [nzOkLoading]="loading" [nzCancelLoading]="loading" [nzOkDisabled]="!data.username||!data.name"
    (nzOnOk)="onOk()">
    <ng-template nzModalContent>
        <div>
            <app-input label="用户名" [(value)]="data.username" placeholder="登录名(至少4位)" [disabled]="data.id"></app-input>
        </div>

        <div style="margin-top: 5px;">
            <app-input label="姓&nbsp;&nbsp;&nbsp;名" [(value)]="data.name" palceholder="姓名"></app-input>
        </div>

        <div style="margin-top: 5px;">
            <app-input label="密&nbsp;&nbsp;&nbsp;码" [(value)]="data.password"></app-input>
        </div>

        <div style="margin-top: 5px;">
            <app-department-select label="部&nbsp;&nbsp;&nbsp;门" [(value)]="data.department_id"></app-department-select>
        </div>
    </ng-template>
</nz-modal>